---
layout: markdown_page
title: "Category Direction - Authorization and Authentication"
description: "Authentication and authorization keep resources secure but accessible."
canonical_path: "/direction/manage/auth/"
---

- TOC
{:toc}

| Category | **Authorization and Authentication** |
| --- | --- |
| Stage | [Manage](https://about.gitlab.com/handbook/product/categories/#manage-stage) |
| Group | [Authentication and Authorization](https://about.gitlab.com/handbook/product/categories/#authentication-and-authorization-group) |
| Maturity | [Complete](/direction/maturity/) |
| Content Last Reviewed | `2023-02-16` |


<%= partial("direction/manage/auth/templates/intro") %>

## Overview

<%= partial("direction/manage/auth/templates/overview") %>

### Target audience and experience

<%= partial("direction/manage/auth/templates/target") %>


## Where we are Headed

With security being top of mind for our customers, it becomes top of mind for the Authentication and Authorization team. Our aim is to provide GitLab administrators the toolkit they need to make their GitLab experience both secure and accessible for their users - and to give them the flexibility to implement that in any way they choose. Just being able to securty authenticate with GitLab is not enough. GitLab administrators need to secure all authentication avenues into the product, manage their users using automated processes, and have fine-grained control over what their users can and can't do in the product.

To be more specific, we are keenly aware of the increased security needs in Authentication and Authorization. The credentials that users are able to obtain are the "keys to the kingdom" and in a large enterprise, there needs to be strict inventory and management of these credentials, ensuring that their use and scope can be monitored, rotated, and revoked if necessary. In fact, there is even a shift away from using human-tied credentials altogether. They are too easily comprimised and prone to human error. Our team will provide auth solutions that aren't tied to humans to faciliate automated processes that have less security risk.

### What's Next and Why

<%= partial("direction/manage/auth/templates/next") %>

## Maturity Plan

<%= partial("direction/manage/auth/templates/maturity") %>

<%= partial("direction/manage/auth/templates/competitors") %>

## Goals

### Near-Term Goals

1. We delivered our first [customer facing MVC](https://gitlab.com/gitlab-org/gitlab/-/issues/20277) for customizable roles in 15.9. This MVC allows GitLab.com Guest users on an Ultimate license to view code, which is a popular issue amongst our customers. Currently, the guest role does not have this permission. This will be achieved by adding one custom permission to the existing role of "Guest", creating a new custom role. Think of it as "Guest+1".

We will continue to iterate towards fully customizable roles, starting with [permission consolidation](https://gitlab.com/groups/gitlab-org/-/epics/8914), likely in the vulnerability reporting space. Again, more granular control over [viewing the vulnerability report](https://gitlab.com/gitlab-org/gitlab/-/issues/388156) is a common customer ask.

2. For [Enterprise Users](https://gitlab.com/groups/gitlab-org/-/epics/5299), we recently added the ability for Group Owners to [reset their user's 2FA](https://gitlab.com/gitlab-org/gitlab/-/issues/372401), eliminating the need to reach out to GitLab support to do so.

In 15.9, we completed an [automated user claims process](https://gitlab.com/gitlab-org/gitlab/-/issues/322039), which means that any user that matches a verified domain and was not provisioned will automatically belong to the Enterprise.

We are working on adding a [visual indicator](https://gitlab.com/gitlab-org/gitlab/-/issues/372895) to Enterprise-managed accounts, so that it's clear to both users and group owners when their account is owned by their company.

### Mid-Term Goals

1. [Service Accounts](https://gitlab.com/groups/gitlab-org/-/epics/6777) - will roll Group and Project Access tokens into a new concept called Service Accounts, which will be better attuned to the needs of integrations rather than human users. We have started laying the groundwork for Service Accounts with [code](https://gitlab.com/gitlab-org/gitlab/-/issues/387073) in 15.9.

2. Allow Administrators and Group Owners more control over their claimed [Enterprise Users](https://gitlab.com/gitlab-org/gitlab/-/issues/322039), including limiting their ability to change their e-mail address and delete company-owned intellectual property.


### Top Vision Item(s)

<%= partial("direction/manage/auth/templates/vision") %>
